Skip to content

Secondary Progressions

POST
/api/calc/progressions

Calculate secondary progressions chart using the day-for-a-year method. Returns progressed planet positions and aspects to both progressed and natal planets.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
"birthDateTime": "string",
"birthLocation": {
"longitude": 0,
"latitude": 0,
"timezone": "string"
},
"targetDate": "string",
"houseSystem": "placidus",
"language": "en",
"includeText": false,
"includeReadableEntities": false,
"points": [
"string"
],
"orbs": {
"additionalProperties": 0
}
}

Responses

Calculate secondary progressions chart

application/vnd.api+json
JSON
{
"data": {
"progressedDate": "string",
"natalDate": "string",
"targetDate": "string",
"aspects": [
{
"pointA": "string",
"pointB": "string",
"aspect": "string",
"angle": 0,
"orb": 0,
"applying": true,
"text": "string"
}
],
"aspectsToNatal": [
{
"pointA": "string",
"pointB": "string",
"aspect": "string",
"angle": 0,
"orb": 0,
"applying": true,
"text": "string"
}
],
"points": {
"additionalProperties": {
}
},
"natalPoints": {
"additionalProperties": {
}
},
"houses": {
"cusps": [
0
],
"ascmc": [
0
]
},
"charts": {
"additionalProperties": {
}
}
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation